## Generated SDC file "LTC2323.out.sdc"

## Copyright (C) 1991-2012 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 12.1 Build 177 11/07/2012 SJ Web Edition"

## DATE    "Tue Feb 10 15:53:23 2015"

##
## DEVICE  "EP3C5E144C7"
##


#**************************************************************
# Time Information
#**************************************************************
set_time_format -unit ns -decimal_places 3

#**************************************************************
# Create Clock
#**************************************************************
#derive_clocks -period 9.090
create_clock -period 9.090 -name clkin [get_ports {CLKIN}]
create_clock -period 9.090 -name clkoutn [get_ports {CLKOUTn}]
create_clock -period 200 -waveform {8.2 26.4} -name cnvclk pulse_generator:pulses|cnvclk

#**************************************************************
# Create Generated Clock
#**************************************************************
#derive_pll_clocks
create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -multiply_by 1 -duty_cycle 50.00 -name {clk_110} {synchronize|altpll_component|auto_generated|pll1|clk[0]}
create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -multiply_by 2 -duty_cycle 50.00 -name {clk_220} {synchronize|altpll_component|auto_generated|pll1|clk[1]}
create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -divide_by 22 -phase 0.56 -duty_cycle 5.00 -name {sync} {synchronize|altpll_component|auto_generated|pll1|clk[2]}

#**************************************************************
# Set Clock Latency
#**************************************************************

#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty

#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay -add_delay  -clock [get_clocks {clkoutn}] -clock_fall 0.5 [get_ports {SDO1n}]
set_input_delay -add_delay  -clock [get_clocks {clkoutn}] -clock_fall 0.5 [get_ports {SDO2n}]

#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA0}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA1}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA2}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA3}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA4}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA5}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA6}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA7}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA8}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA9}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA10}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA11}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA12}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA13}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA14}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DA15}]

set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB0}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB1}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB2}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB3}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB4}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB5}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB6}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB7}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB8}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB9}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB10}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB11}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB12}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB13}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB14}]
set_output_delay -add_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.020 [get_ports {DB15}]

#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -exclusive -group [get_clocks {clkoutn}] -group [get_clocks {clkin}] -group [get_clocks {cnvclk}] 
set_clock_groups -exclusive -group [get_clocks {clkoutn}] -group [get_clocks {clkin}] -group [get_clocks {cnvclk}] 

#**************************************************************
# Set False Path
#**************************************************************

#**************************************************************
# Set Multicycle Path
#**************************************************************
set_multicycle_path -from [get_clocks {clkoutn}] -to [get_clocks {clkoutn}] -setup -end 0

set_multicycle_path -through [get_pins {rx_A|bit_index[*]|q}] -setup -end 1
set_multicycle_path -through [get_pins {rx_B|bit_index[*]|q}] -setup -end 1

#**************************************************************
# Set Maximum Delay
#**************************************************************

#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

